MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::TextView Class Reference

`#include <MyGUI_TextView.h>`

## Public Member Functions
| TextView ()
void | update (const UString &_text, IFont *_font, int _height, Align _align, VertexColourType _format, int _maxWidth=-1)
size_t | getCursorPosition (const IntPoint &_value)
IntPoint | getCursorPoint (size_t _position)
const IntSize & | getViewSize () const
size_t | getTextLength () const
const VectorLineInfo & | getData () const

## Detailed Description

Definition at line 18 of file MyGUI_TextView.h.

## Constructor & Destructor Documentation

MyGUI::TextView::TextView | ( |  | ) |

Definition at line 94 of file MyGUI_TextView.cpp.

## Member Function Documentation

IntPoint MyGUI::TextView::getCursorPoint | ( | size_t | _position | ) |

Definition at line 341 of file MyGUI_TextView.cpp.

size_t MyGUI::TextView::getCursorPosition | ( | const IntPoint & | _value | ) |

Definition at line 294 of file MyGUI_TextView.cpp.

const VectorLineInfo & MyGUI::TextView::getData | ( |  | ) | const

Definition at line 383 of file MyGUI_TextView.cpp.

size_t MyGUI::TextView::getTextLength | ( |  | ) | const

Definition at line 378 of file MyGUI_TextView.cpp.

const IntSize & MyGUI::TextView::getViewSize | ( |  | ) | const

Definition at line 373 of file MyGUI_TextView.cpp.

void MyGUI::TextView::update | ( | const UString & | _text,
|  | IFont * | _font,
|  | int | _height,
|  | Align | _align,
|  | VertexColourType | _format,
|  | int | _maxWidth = `-1`
| ) |  |

Definition at line 100 of file MyGUI_TextView.cpp.

The documentation for this class was generated from the following files:

- MyGUI_TextView.h
- MyGUI_TextView.cpp